# package include only on python file
# in result debuginfo is empty
%global debug_package %{nil}

Name:           caja-terminal
Version:        0.8.1
Release:        4%{?dist}
Summary:        Terminal embedded in Caja

Group:          System Environment/Shells
License:        GPLv3+
URL:            https://github.com/NiceandGently/%{name}
# upstream is located at github, but links from tag releases doesn't match copied link in
# web-browser, in result fedora-rewiew-tool will fail.
# so i decided to release on fedorapeople to have a valid download link
Source0:        http://raveit65.fedorapeople.org/Mate/SOURCE/%{name}-%{version}.tar.gz

BuildRequires:  gettext python2-devel

# needed for run caja-terminal
Requires:       pygtk2 python-caja vte pyxdg

%description
Caja Terminal is a terminal embedded in Caja, the MATE file browser.
It is always open in the current folder, and follows the navigation
(like an automated "cd" command).

%prep
%setup -q
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' code/caja-terminal.py

%build
# no build needed

%install
mkdir -p $RPM_BUILD_ROOT
%if %{_lib} == lib64
bash install-64.sh --package $RPM_BUILD_ROOT
%else
bash install.sh --package $RPM_BUILD_ROOT
%endif

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS README
%{_datadir}/%{name}/
%dir %{_libdir}/caja/extensions-2.0/python
%{_libdir}/caja/extensions-2.0/python/%{name}.py*

%changelog
* Wed Sep 25 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.1-4
- disable debuginfo package

* Wed Sep 25 2013 Dan Horák <dan[at]danny.cz> - 0.8.1-3
- fix 64-bit build for non-x86 arches

* Fri Sep 06 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.1-2
- add python2 stacks
- own directories

* Fri Sep 06 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.1-1
- initial build for fedora
- update to 0.8.1

* Sat Jun 15 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8-1
- update to 0.8
- rebuild for mate-python removal

* Fri Nov 16 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.7-1
- build for f19
